var progress = 0;

var validSteps = [
    {pos: '0', validleds: [
        {sel: '0', ref: "E", type: "illegal"},
        {sel: '1', ref: "E", type: "space10"},
        {sel: '2', ref: "E", type: "space10"},
        {sel: '3', ref: "E", type: "space10"},
        {sel: '4', ref: "E", type: "space5"},
        {sel: '5', ref: "E", type: "space5"},
        {sel: '6', ref: "E", type: "space5"},
        {sel: '7', ref: "E", type: "space5"},
        {sel: '8', ref: "6"},
        {sel: '9', ref: "6"},
        {sel: 'N', ref: "6"}
    ]},
    {pos: '1', validleds: [
        {sel: '0', ref: "E", type: "illegal"},
        {sel: '1', ref: "E", type: "notflat"},
        {sel: '2', ref: "E", type: "notflat"},
        {sel: '3', ref: "10", pos: "2"},
        {sel: '4', ref: "10", pos: "2"},
        {sel: '5', ref: "10", pos: "2"},
        {sel: '6', ref: "10", pos: "2"},
        {sel: '7', ref: "10", pos: "2"},
        {sel: '8', ref: "9"},
        {sel: '9', ref: "9"},
        {sel: 'N', ref: "9"}
    ]},
    {pos: '2', validleds: [
    ]},
    {pos: '3', validleds: [
        {sel: '0', ref: "E", type: "illegal"},
        {sel: '1', ref: "15"},
        {sel: '2', ref: "15"},
        {sel: '3', ref: "14"},
        {sel: '4', ref: "14"},
        {sel: '5', ref: "13"},
        {sel: '6', ref: "OK", pos: "4"},
        {sel: '7', ref: "OK", pos: "4"},
        {sel: '8', ref: "OK", pos: "4"},
        {sel: '9', ref: "12"},
        {sel: 'N', ref: "12"}
    ]},
    {pos: '4', validleds: [
        {sel: '0', ref: "E", type: "illegal"},
        {sel: '1', ref: "E", type: "notflat"},
        {sel: '2', ref: "E", type: "notflat"},
        {sel: '3', ref: "OK", pos: "5"},
        {sel: '4', ref: "OK", pos: "5"},
        {sel: '5', ref: "OK", pos: "5"},
        {sel: '6', ref: "OK", pos: "5"},
        {sel: '7', ref: "OK", pos: "5"},
        {sel: '8', ref: "OK", pos: "5"},
        {sel: '9', ref: "OK", pos: "5"},
        {sel: 'N', ref: "OK", pos: "5"}
    ]},
    {pos: '5', validleds: [
        {sel: '0', ref: "E", type: "illegal"},
        {sel: '1', ref: "E", type: "notflat"},
        {sel: '2', ref: "E", type: "notflat"},
        {sel: '3', ref: "OK", pos: "6"},
        {sel: '4', ref: "OK", pos: "6"},
        {sel: '5', ref: "OK", pos: "6"},
        {sel: '6', ref: "OK", pos: "6"},
        {sel: '7', ref: "OK", pos: "6"},
        {sel: '8', ref: "OK", pos: "6"},
        {sel: '9', ref: "OK", pos: "6"},
        {sel: 'N', ref: "OK", pos: "6"}
    ]},
    {pos: '6', validleds: [
        {sel: '0', ref: "E", type: "illegal"},
        {sel: '1', ref: "E", type: "notflat"},
        {sel: '2', ref: "E", type: "notflat"},
        {sel: '3', ref: "OK", pos: "7"},
        {sel: '4', ref: "OK", pos: "7"},
        {sel: '5', ref: "OK", pos: "7"},
        {sel: '6', ref: "OK", pos: "7"},
        {sel: '7', ref: "OK", pos: "7"},
        {sel: '8', ref: "22"},
        {sel: '9', ref: "22"},
        {sel: 'N', ref: "22"}
    ]},
    {pos: '7', validleds: [
        {sel: '0', ref: "E", type: "illegal"},
        {sel: '1', ref: "E", type: "notflat"},
        {sel: '2', ref: "E", type: "notflat"},
        {sel: '3', ref: "C"},
        {sel: '4', ref: "C"},
        {sel: '5', ref: "C"},
        {sel: '6', ref: "C"},
        {sel: '7', ref: "C"},
        {sel: '8', ref: "24"},
        {sel: '9', ref: "24"},
        {sel: 'N', ref: "24"}
    ]}
];

var slideInfo = [
    {ref: "6", next: "leds", toptext: "黒色のサムホイールを時計回りに回転させます", topimg: "black-clock.png", lowertext: "LEDが表示されるまで:", lowerimg: "led-7.png", nextpos: "1", help: "help/slide6help.html" },
    {ref: "9", next: "action", nextref: "10", toptext: "銀色のサムホイールを反時計回りに回転させます", topimg: "blue-anti.png", lowertext: "LEDが表示されるまで:", lowerimg: "led-7.png", nextpos: "2", help: "help/silverwheelhelp.html" },
    {ref: "10", next: "leds", toptext: "金色のサムホイールを時計回りに回転させます", topimg: "gold-clock.png", lowertext: "LEDが表示されるまで:", lowerimg: "led-7.png", nextpos: "3", help: "help/goldwheelhelp.html" },
    {ref: "12", next: "leds", toptext: "金色のサムホイールを反時計回りに回転させます", topimg: "gold-anti.png", lowertext: "LEDが表示されるまで:", lowerimg: "led-8.png", nextpos: "4", help: "help/goldwheelhelp.html" },
    {ref: "13", next: "leds", toptext: "金色のサムホイールを時計回りに回転させます", topimg: "gold-clock.png", lowertext: "LEDが表示されるまで:", lowerimg: "led-6.png", nextpos: "4", help: "help/goldwheelhelp.html" },
    {ref: "14", next: "leds", toptext: "金色のサムホイールを時計回りに回転させます", topimg: "gold-clock.png", lowertext: "LEDが表示されるまで:", lowerimg: "led-5.png", nextpos: "4", help: "help/goldwheelhelp.html" },
    {ref: "15", next: "leds", toptext: "金色のサムホイールを時計回りに回転させます", topimg: "gold-clock.png", lowertext: "LEDが表示されるまで:", lowerimg: "led-4.png", nextpos: "4", help: "help/goldwheelhelp.html" },
    {ref: "22", next: "leds", toptext: "銀色のサムホイールを反時計回りに回転させます", topimg: "blue-anti.png", lowertext: "LEDが表示されるまで:", lowerimg: "led-7.png", nextpos: "7", help: "help/silverwheelhelp.html" },
    {ref: "24", next: "leds", toptext: "銀色のサムホイールを反時計回りに回転させます", topimg: "blue-anti.png", lowertext: "LEDが表示されるまで:", lowerimg: "led-7.png", nextpos: "C", help: "help/silverwheelhelp.html" }
];

var upperCheckSeq = [ "3", "0", "2" ];
var lowerCheckSeq = [ "6", "1", "7" ];
var midCheckSeq = [ "4", "8", "5" ];

$.urlParam = function(name){
    var results = new RegExp('[\?&]' + name + '=([^&#]*)').exec(window.location.href);
    if (results==null){
        return null;
    }
    else{
        return results[1] || 0;
    }
};

function positionTarget( pos ) {
    var target = $('#positiontarget');

    switch (pos.toString()) {
        case "0":
            target.position({
                my: "center top",
                at: "center top+10",
                of: "#topstickbar",
                collision: "none"
            });
            if( mode == "setup") {
                progress = 0;
            }
            else
            {
                progress = 56;
            }
            break;
        case "1":
            target.position({
                my: "center bottom",
                at: "center bottom-10",
                of: "#bottomstickbar",
                collision: "none"
            });
            if( mode == "setup") {
                progress = 6;
            }
            else
            {
                progress = 74;
            }
            break;
        case "2":
            target.position({
                my: "right top",
                at: "right-10 top+10",
                of: "#topstickbar",
                collision: "none"
            });
            if( mode == "setup") {
                progress = 12;
            }
            else
            {
                progress = 62;
            }
            break;
        case "3":
            target.position({
                my: "left top",
                at: "left+10 top+10",
                of: "#topstickbar",
                collision: "none"
            });
            if( mode == "setup") {
                progress = 18;
            }
            else
            {
                progress = 50;
            }
            break;
        case "4":
            target.position({
                my: "left center",
                at: "left+10 center",
                of: "#leftstickbar",
                collision: "none"
            });
            if( mode == "setup") {
                progress = 24;
            }
            else
            {
                progress = 86;
            }
            break;
        case "5":
            target.position({
                my: "right center",
                at: "right-10 center",
                of: "#rightstickbar",
                collision: "none"
            });
            if( mode == "setup") {
                progress = 30;
            }
            else
            {
                progress = 98;
            }
            break;
        case "6":
            target.position({
                my: "left bottom",
                at: "left+10 bottom-10",
                of: "#bottomstickbar",
                collision: "none"
            });
            if( mode == "setup") {
                progress = 38;
            }
            else
            {
                progress = 68;
            }
            break;
        case "7":
            target.position({
                my: "right bottom",
                at: "right-10 bottom-10",
                of: "#bottomstickbar",
                collision: "none"
            });
            if( mode == "setup") {
                progress = 42;
            }
            else
            {
                progress = 80;
            }
            break;
        case "8":
            target.position({
                my: "left center",
                at: "right+10 center-32",
                of: "#ledscell",
                collision: "none"
            });
            if( mode == "setup") {
                progress = 0;
            }
            else
            {
                progress = 91;
            }
            break;
    }
    target.show();

    $( "#progressbar" ).progressbar({
        value: progress
    });
}

/*
function calculateAspectRatioFit(srcWidth, srcHeight, maxWidth, maxHeight) {

    var ratio = Math.min(maxWidth / srcWidth, maxHeight / srcHeight);

    return { width: srcWidth*ratio, height: srcHeight*ratio };
}
*/

var SevenSegTable = [
    ["SevenSegRTopV", "SevenSegRBottomV"],
    ["SevenSegTopH", "SevenSegRTopV", "SevenSegMidH", "SevenSegLBottomV", "SevenSegBottomH"],
    ["SevenSegTopH", "SevenSegRTopV", "SevenSegMidH", "SevenSegRBottomV", "SevenSegBottomH"],
    ["SevenSegLTopV", "SevenSegRTopV", "SevenSegMidH", "SevenSegRBottomV"],
    ["SevenSegTopH", "SevenSegLTopV", "SevenSegMidH", "SevenSegRBottomV", "SevenSegBottomH"],
    ["SevenSegTopH", "SevenSegLTopV", "SevenSegMidH", "SevenSegRBottomV", "SevenSegLBottomV", "SevenSegBottomH"],
    ["SevenSegTopH", "SevenSegRTopV", "SevenSegRBottomV"],
    ["SevenSegTopH", "SevenSegLTopV", "SevenSegRTopV", "SevenSegMidH", "SevenSegRBottomV", "SevenSegLBottomV", "SevenSegBottomH"],
    ["SevenSegTopH", "SevenSegLTopV", "SevenSegRTopV", "SevenSegMidH", "SevenSegRBottomV", "SevenSegBottomH"],
    ["SevenSegMidH"]
];
