var scene1div;
var scene2div;
var scene3div;
var titletext;
var stickimg;
var animsticktext;
var animpointer;
var animtarget;
var animpositiontext;
var animnumbertext;
var animthumbw;
var animthumbwtext;
var animpointer2;
var animsensor;
var animselection1;
var animselection2;
var animcursor;
var skiptext;
var scene3toptext;
var scene3bottom;
var winH;
var winW;
var thumbT;
var thumbL;
var targetT;
var targetL;
var cursorStartT;
var cursorStartL;
var skip = 0;
var tl;

$(document).ready(function() {
    var s = decodeURIComponent($.urlParam('skip'));
    if (s != "null") {
        skip = s;
    }

    scene1div = $('#scene1');
    scene2div = $('#scene2');
    scene3div = $('#scene3');
    scene3top = $('#scene3top');
    titletext = $('#animtitletext');
    stickimg = $('#animstick');
    animsticktext = $('#animsticktext');
    animpointer = $('#animpointer');
    animtarget = $('#animtarget');
    animpositiontext = $('#animpositiontext');
    animnumbertext = $('#animnumbertext');
    animthumbw = $('#animthumbw');
    animthumbwtext = $('#animthumbwtext');
    animpointer2 = $('#animpointer2');
    scene3toptext = $('#scene3toptext');
    scene3bottom = $('#scene3bottom');
    animsensor = $('#animsensor');
    animselection1 = $('#animselection1');
    animselection2 = $('#animselection2');
    animcursor = $('#animcursor');
    skiptext = $('.skiptext');

    winH = $(window).height();
    winW = $(window).width();

    prepareScene2();
    prepareScene3();

    //create a TimelineLite instance
    tl = new TimelineLite();

    tl.call( prepareScene1 )
      .to( scene1div, 0.5, {minHeight: '100%'})
      .to( titletext, 0.5, {opacity: 1})
      .to( scene1div, 0.5, {top: winH}, '+=3')
      .set( titletext, {opacity: 0}, '-=0.5')
      .set( scene1div,{display: 'none'});


    tl.set( scene2div, {display: 'block'})
        .to( animsticktext, 0.5, {opacity:1} )
        .from( animsticktext, 0.5, {scale:0}, "-=0.5" )
        .from( animpointer, 0.5, {clip:"rect(0px,129px,0px,198px)"}, "-=0.25")
        .to( animsticktext, 0.5, {opacity:0}, "+=3")
        .to( animpointer, 0.5, {opacity: 0}, "-=0.5")
        .to( stickimg, 0.5, {opacity: 0}, "-=0.5");

    tl.to( animtarget, 0.5, {opacity: 1})
        .to( animpositiontext, 0.5, {opacity:1})
        .from( animpositiontext, 0.5, {scale:0}, "-=0.5")
        .to( animsensor, 0.5, {opacity:1})
        .to( animsensor, 1, {top: targetT+10, left: targetL+8}, "-=0.25")
        .to( animpositiontext, 1, {opacity:0}, "+=3");

    tl.to( animnumbertext, 0.5, {opacity:1})
        .from( animpointer2, 0.5, {clip:"rect(0px,0px,305px,0px)"})
        .to( animselection1, 1, {opacity: 1})
        .set( animcursor, {opacity:1})
        .to( animcursor, 1, {top:cursorStartT - 42, left:cursorStartL - 140 }, "+=0.25")
        .set( animselection2, {opacity:1}, "+=0.125")
        .set( animselection1, {opacity:0})
        .to( animcursor, 1, {top:cursorStartT, left:cursorStartL }, "+=0.125")

        .to( animnumbertext, 0.5, {opacity:0}, "+=3")
        .to( animpointer2, 0.5, {opacity: 0}, "-=0.5")
        .to( animselection2, 0.5, {opacity:0}, "-=0.5")
        .to( animcursor, 0.5, {opacity:0}, "-=0.5")
        .to( animthumbw, 0.5, {opacity:1}, "-=0.5" )
        .to( animthumbwtext, 0.5, {opacity:1})
        .to( animthumbwtext, 0.5, {opacity:0}, "+=3")
        .to( animtarget, 0.5, {opacity:0}, "-=0.5")
        .to( animthumbw, 0.5, {opacity:0}, "-=0.5" );

    tl.set( scene2div, {display: 'none'})
        .set( scene3div, {display: 'block'})
        .to( scene3top, 0.5, {opacity:1})
        .fromTo( scene3top, 0.5, {top:thumbT + 150,left:thumbL + 100, width:285, height:130}, {top:0,left:0, width:'100%', height:'70%'}, "-=0.5")
        .to( scene3bottom, 0.5, {opacity:1}, "-=0.25")
        .to( scene3toptext, 0.5, {opacity:1}, "-=0.25");

    if( skip != 0) {
        tl.seek(tl.duration(), false);
    }
});

function prepareScene1() {
    var titletxtH = titletext.height();
    var titletxtW = titletext.width();
    var titletextT = (winH - titletxtH) / 2;
    var titletextL = (winW - titletxtW) / 2;

    titletext.css("top", titletextT);
    titletext.css("left", titletextL);

    var skiptextW = skiptext.outerWidth();
    var skiptextT = (winH - 50);
    var skiptextL = (winW - skiptextW) / 2;

    skiptext.css("top", skiptextT);
    skiptext.css("left", skiptextL);
}

function prepareScene2 () {
    var stickimgH = stickimg.height();
    var stickimgW = stickimg.width();
    var stickimgT = (winH - stickimgH) / 2;
    var stickimgL = (winW - stickimgW) / 2;

    stickimg.css("top", stickimgT);
    stickimg.css("left", stickimgL);
    animsticktext.css("top", (stickimgT - 84));
    animsticktext.css("left", (stickimgL + 170));
    animpointer.css("top", (stickimgT + 11));
    animpointer.css("left", (stickimgL + 200));

    var targetW = animtarget.width();
    var postextH = animpositiontext.outerHeight(true);
    var postextW = animpositiontext.outerWidth();
    var postextT = (winH - postextH) / 2;
    var postextL = (winW - postextW) / 2;
    targetL = ((winW - targetW) / 2) + 180;
    targetT = 20;

    animtarget.css("top", targetT);
    animtarget.css("left", targetL);
    animsensor.css("top", targetT + 160);
    animsensor.css("left", targetL + 120);
    animpositiontext.css("top", postextT);
    animpositiontext.css('left', postextL);

    //var ledsH = animselection1.height();
    var ledsW = animselection1.width();
    //ledsT = ((winH - ledsH) / 2 ) + 30;
    var ledsL = (winW - ledsW) / 2;
    var numTextW = animnumbertext.outerWidth();
    var numTextL = (winW - numTextW) / 2;
    animselection1.css("top", targetT + 300);
    animselection1.css("left", ledsL);
    animselection2.css("top", targetT + 300);
    animselection2.css("left", ledsL);
    animnumbertext.css("top", targetT + 170);
    animnumbertext.css("left", numTextL);
    animpointer2.css("top", targetT + 18 );
    animpointer2.css("left", targetL - 15 );
    cursorStartT = targetT + 440;
    cursorStartL = ledsL + 550;
    animcursor.css("top", cursorStartT);
    animcursor.css("left", cursorStartL);

    var thumbH = 334;
    var thumbW = 485;
    thumbT = (winH - thumbH) / 2;
    thumbL = (winW - thumbW) / 2;
    var thumbwtextW = animthumbwtext.outerWidth();
    var thumbwtextL = (winW - thumbwtextW) / 2;
    if( winW < 1024 ) {
        animthumbw.css("top", thumbT + 85);
        animthumbw.css("left", thumbL);
        animthumbwtext.css("top", thumbT - 20);
        animthumbwtext.css("left", thumbwtextL);
    }
    else {
        animthumbw.css("top", thumbT + 85);
        animthumbw.css("left", thumbL);
        animthumbwtext.css("top", thumbT - 40);
        animthumbwtext.css("left", thumbwtextL);
    }
}

function prepareScene3() {
}

var destination;
$('#backbutton').click(function() {
    destination = "index.html";
    window.location.href = destination;
});

$('#nextbutton').click(function() {
    destination = "leds.html";
    window.location.href = destination;
});

function skipEndAnim() {
    tl.seek(tl.duration(), false);
}
